# Proxmox VE

Proxmox environments require backup storage to be defined on each server. This storage must be a location accessible from Storware Backup & Recovery Node (the simplest setup, when you use only 1 node, is to create NFS share for the staging path on Storware Backup & Recovery Node).

1. Create storage from NFS share (Content-type: VZDump)

![](https://content.gitbook.com/content/wUsKWUrceYHp8e9TJ00e/blobs/DCU9EjEZifM744fpS7iW/protecting_ve-containers-proxmox_ve.jpg)

* The export share must be set to use the UID and GID of the `vprotect` user.
* Example export configuration in `/etc/exports` to the selected hypervisor in the RHV cluster:

  ```
  /vprotect_data    PROXMOX_HOSTS(fsid=6,rw,sync,insecure,all_squash,anonuid=993,anongid=990)
  ```

  where `anonuid=993` and `anongid=990` should have the correct UID and GID returned by command:

  ```
  [root@vProtect3 ~]# id vprotect
  uid=993(vprotect) gid=990(vprotect) groups=990(vprotect)
  ```
* Both import and export operations will be done using these NFS shares – restore will be done directly to this storage domain, so you can easily import the backup into the Proxmox environment
  * Backups must be restored to the export path (the node automatically changes the names to the original paths that are recognized by Proxmox).
* The name for storage must be provided later in the node configuration (`Hypervisor -> Proxmox` )section.

![](https://content.gitbook.com/content/wUsKWUrceYHp8e9TJ00e/blobs/egaIsOcoFfQan6w04X36/protecting_ve-containers-proxmox_ve_2.png)

## File-level restore support for VMA images

1. Prepare the VMA extractor on Storware Backup & Recovery Node - you have 2 options:
   * Build a VMA extractor like this (requires Internet on the **node**):

     ```
     cd /opt/vprotect/node/scripts/vma
     ./setup_vma.sh
     ```
2. * Download the VMA extractor from the Storware FTP (in the Add-ons directory) and install it.

     ```
     cd /opt/vprotect/node/scripts/vma
     ./setup_vma.sh PATH_TO_VMA_ARCHIVE
     ```

## Public key authentication

The details are described in the [SSH public key authentication](https://docs.storware.eu/deployment/common-tasks/ssh-public-key-authentication) section.

## Supported features

**Supported backup strategies:** Export storage repository

|                                                                     | Export storage repository              |
| ------------------------------------------------------------------- | -------------------------------------- |
| Supported versions                                                  | 7.0, 7.1, 7.2, 7.3, 7.4, 8.0, 8.1, 8.2 |
| The last snapshot is kept on the hypervisor for incremental backups | Yes                                    |
| Access to hypervisor OS required                                    | No                                     |
| Proxy VM required                                                   | Yes                                    |

| Full backup                         | Supported        |
| ----------------------------------- | ---------------- |
| Incremental backup                  | Supported        |
| Synthetic backups                   | Not supported \* |
| File-level restore                  | Supported        |
| VM disk exclusion                   | Supported        |
| Quiesced snapshots                  | Supported        |
| Snapshots management                | Supported        |
| Pre/post command execution          | Supported        |
| Access to VM disk backup over iSCSI | Supported        |
| VM name-based policy assignment     | Supported        |
| Power-on after restore              | Supported        |

*\** A synthetic backup destination can be used, but this strategy only supports full backups

## Network requirements

### Export storage repository

| Source              | Destination        | Ports                                                                                                                                                                                                                                                                                                    | Description                                                                           |
| ------------------- | ------------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------- |
| Node                | Hypervisor         | 22/tcp                                                                                                                                                                                                                                                                                                   | SSH access                                                                            |
| Hypervisor          | Node               | If Node is hosting staging space: 111/tcp, 111/UDP, 2049/tcp, 2049/UDP, ports specified in `/etc/sysconfig/nfs` - variables `MOUNTD_PORT` (TCP and UDP), `STATD_PORT` (TCP and UDP), `LOCKD_TCPPORT` (TCP), `LOCKD_UDPPORT` (UDP), otherwise please check the documentation of your NFS storage provider | NFS access                                                                            |
| Node and hypervisor | shared NFS storage | check the documentation of your NFS storage provider                                                                                                                                                                                                                                                     | if staging space (export storage domain) is hosted on the shared storage - NFS access |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.storware.eu/protecting-virtual-machines/protecting-containers/proxmox-ve.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
